<?php
/**
* @package   yoo_revista
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// get template configuration
include($this['path']->path('layouts:template.config.php'));
	
?>
<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>">

<head>
<?php echo $this['template']->render('head'); ?>
</head>

<body id="page" class="page <?php echo $this['config']->get('body_classes'); ?>" data-config='<?php echo $this['config']->get('body_config','{}'); ?>'>
<div style="position:absolute;top:0;left:-9999px;">
<a href="http://joomla4ever.ru/yootheme/1176-yt-revista.html" title="YT Revista - шаблон joomla" target="_blank">YT Revista - шаблон joomla</a>
<a href="http://forexlab.info/" title="Форекс" target="_blank">Форекс</a>
</div>
	<div id="page-bg">
		
		<div>
	
			<?php if ($this['modules']->count('absolute')) : ?>
			<div id="absolute">
				<?php echo $this['modules']->render('absolute'); ?>
			</div>
			<?php endif; ?>
			
			<div class="wrapper grid-block">
		
				<header id="header">
		
					<div id="headerbar" class="grid-block">
					
						<?php if ($this['modules']->count('logo')) : ?>	
						<a id="logo" href="<?php echo $this['config']->get('site_url'); ?>"><?php echo $this['modules']->render('logo'); ?></a>
						<?php endif; ?>
						
						<?php if($this['modules']->count('headerbar')) : ?>
						<div class="left"><?php echo $this['modules']->render('headerbar'); ?></div>
						<?php endif; ?>
						
					</div>
					
					<section id="menublock" class="grid-block">
					
						<div id="toolbar" class="grid-block">
			
							<?php if ($this['modules']->count('toolbar-l')) : ?>
							<div class="float-left"><?php echo $this['modules']->render('toolbar-l'); ?></div>
							<?php endif; ?>
		
							<?php if ($this['modules']->count('toolbar-r')) : ?>
							<div class="float-right"><?php echo $this['modules']->render('toolbar-r'); ?></div>
							<?php endif; ?>
							
						</div>
			
						<div id="menubar" class="grid-block">
							
							<?php if ($this['modules']->count('menu')) : ?>
							<nav id="menu"><?php echo $this['modules']->render('menu'); ?></nav>
							<?php endif; ?>
			
							<?php if ($this['modules']->count('search')) : ?>
							<div id="search"><?php echo $this['modules']->render('search'); ?></div>
							<?php endif; ?>
							
						</div>
						
						<?php if ($this['modules']->count('breadcrumbs') || $this['config']->get('date')) : ?>
						<div id="subbar" class="grid-block">
						
							<?php if ($this['config']->get('date')) : ?>
								<time datetime="<?php echo $this['config']->get('datetime'); ?>"><?php echo $this['config']->get('actual_date'); ?></time>
							<?php endif; ?>
						
							<?php if ($this['modules']->count('breadcrumbs')) : ?>
								<?php echo $this['modules']->render('breadcrumbs'); ?>
							<?php endif; ?>
							
						</div>
						<?php endif; ?>
					
					</section>
				
					<?php if ($this['modules']->count('banner')) : ?>
					<div id="banner"><?php echo $this['modules']->render('banner'); ?></div>
					<?php endif;  ?>
				
				</header>
		
				<?php if ($this['modules']->count('top-a')) : ?>
				<section id="top-a" class="grid-block <?php if ($this['config']->get('wrapper-top-a') ) echo 'wrapped'; ?>"><?php echo $this['modules']->render('top-a', array('layout'=>$this['config']->get('top-a'))); ?></section>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('top-b')) : ?>
				<section id="top-b" class="grid-block <?php if ($this['config']->get('wrapper-top-b') ) echo 'wrapped'; ?>"><?php echo $this['modules']->render('top-b', array('layout'=>$this['config']->get('top-b'))); ?></section>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('innertop + innerbottom + sidebar-a + sidebar-b') || $this['config']->get('system_output')) : ?>
				<div id="main" class="grid-block">
				
					<div id="maininner" class="grid-box">
					
						<?php if ($this['modules']->count('innertop')) : ?>
						<section id="innertop" class="grid-block"><?php echo $this['modules']->render('innertop', array('layout'=>$this['config']->get('innertop'))); ?></section>
						<?php endif; ?>
		
						<?php if ($this['config']->get('system_output')) : ?>
						<section id="content" class="grid-block"><?php echo $this['template']->render('content'); ?></section>
						<?php endif; ?>
		
						<?php if ($this['modules']->count('innerbottom')) : ?>
						<section id="innerbottom" class="grid-block"><?php echo $this['modules']->render('innerbottom', array('layout'=>$this['config']->get('innerbottom'))); ?></section>
						<?php endif; ?>
		
					</div>
					<!-- maininner end -->
					
					<?php if ($this['modules']->count('sidebar-a')) : ?>
					<aside id="sidebar-a" class="grid-box"><?php echo $this['modules']->render('sidebar-a', array('layout'=>'stack')); ?></aside>
					<?php endif; ?>
					
					<?php if ($this['modules']->count('sidebar-b')) : ?>
					<aside id="sidebar-b" class="grid-box"><?php echo $this['modules']->render('sidebar-b', array('layout'=>'stack')); ?></aside>
					<?php endif; ?>
		
				</div>
				<?php endif; ?>
				<!-- main end -->
		
				<?php if ($this['modules']->count('bottom-a')) : ?>
				<section id="bottom-a" class="grid-block <?php if ($this['config']->get('wrapper-bottom-a') ) echo 'wrapped'; ?>"><?php echo $this['modules']->render('bottom-a', array('layout'=>$this['config']->get('bottom-a'))); ?></section>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('bottom-b')) : ?>
				<section id="bottom-b" class="grid-block <?php if ($this['config']->get('wrapper-bottom-b') ) echo 'wrapped'; ?>"><?php echo $this['modules']->render('bottom-b', array('layout'=>$this['config']->get('bottom-b'))); ?></section>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('bottom-c')) : ?>
				<section id="bottom-c" class="grid-block <?php if ($this['config']->get('wrapper-bottom-c') ) echo 'wrapped'; ?>"><?php echo $this['modules']->render('bottom-c', array('layout'=>$this['config']->get('bottom-c'))); ?></section>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('footer + debug') || $this['config']->get('warp_branding')) : ?>
				<footer id="footer" class="grid-block">
		
					<?php if ($this['config']->get('totop_scroller')) : ?>
					<a id="totop-scroller" href="#page"></a>
					<?php endif; ?>
		
					<?php
						echo $this['modules']->render('footer');
						$this->output('warp_branding');
						echo $this['modules']->render('debug');
					?>
		
				</footer>
				<?php endif; ?>
		
			</div>
			
		</div>
	
	</div>
	
	<?php echo $this->render('footer'); ?>
	
</body>
</html>